# class Bundler::GemRequireError

### Attributes

orig_exception[R]

### Public Class Methods

new(orig_exception, msg) click to toggle source
Calls superclass method `Exception::new`

    # File lib/bundler/errors.rb, line 89
    def initialize(orig_exception, msg)
      full_message = msg + "\nGem Load Error is: #{orig_exception.message}\n"\
                      "Backtrace for gem load error is:\n"\
                      "#{orig_exception.backtrace.join("\n")}\n"\
                      "Bundler Error Backtrace:\n"
      super(full_message)
      @orig_exception = orig_exception
    end